curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/invoices/{invoice-id}/invoice_line_items \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": "<string>",
"total_amount": "<string>",
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"billing_adjustment_minutes": 123,
"pay_start_time": "2023-11-07T05:31:56Z",
"pay_end_time": "2023-11-07T05:31:56Z",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"delivered_quantity": "<string>",
"line_item_type": "InvoiceLineItem",
"rate": "<string>",
"rate_type": "<string>",
"material_rate_unit_of_measure": "Load",
"load": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": "<string>",
"unit_of_measure": "Load",
"load_id": "<string>",
"ordinality": 123,
"ticket": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_number": "<string>",
"preview_url": "<string>"
}
}
}
]
}Retrieve all InvoiceLineItem for an Invoice for a Company
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/invoices/{invoice-id}/invoice_line_items \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": "<string>",
"total_amount": "<string>",
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"billing_adjustment_minutes": 123,
"pay_start_time": "2023-11-07T05:31:56Z",
"pay_end_time": "2023-11-07T05:31:56Z",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"delivered_quantity": "<string>",
"line_item_type": "InvoiceLineItem",
"rate": "<string>",
"rate_type": "<string>",
"material_rate_unit_of_measure": "Load",
"load": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": "<string>",
"unit_of_measure": "Load",
"load_id": "<string>",
"ordinality": 123,
"ticket": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_number": "<string>",
"preview_url": "<string>"
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
OK
Show child attributes